
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Grunt + Bower—前端构建利器 / 憋错料</title>

    <meta name="description" content="Grunt + Bower—前端构建利器 目前比较流行的WEB开发的趋势是前后端分离.前端采用重量级的Javascript框架,比如Angular,Ember等,后端采用restful API的Web Service服务,通过JSON格式进行数据交互. 对于后端服务语言来说,不论是Ruby的rack,Java中的Maven或Gradle,或是Scala中的SBT,他们都能够提供编译运行.运行测试.打包部署.依赖管理等功能.再加上强大的插件系统,让它可以插拔式的使用很多强大的功能,像数据迁移工具(liquibase),测试覆盖率插件以及一">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Grunt + Bower—前端构建利器</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>目前比较流行的WEB开发的趋势是前后端分离。前端采用重量级的Javascript框架，比如Angular，Ember等，后端采用restful API的Web Service服务，通过JSON格式进行数据交互。</p>
<p>对于后端服务语言来说，不论是Ruby的rack，Java中的Maven或Gradle，或是Scala中的SBT，他们都能够提供编译运行、运行测试、打包部署、依赖管理等功能。再加上强大的插件系统，让它可以插拔式的使用很多强大的功能，像数据迁移工具(liquibase)，测试覆盖率插件以及一些代码样式检查的工具。</p>
<p>但是对于前段Javascript和CSS而言，很少有工具可以做到前面所述功能的集合。那么我们怎么样才能达到前面所说的说有功能呢？&mdash;&mdash;Grunt + Bower</p>
<p><a href="http://www.gruntjs.net/" rel="external nofollow noreferrer">Grunt</a>号称自己是JavaScript世界的构建工具，它提供了强大的自动化功能。对于需要反复重复的任务，例如压缩（minification）、编译、单元测试、linting等，自动化工具可以减轻我们的劳动。Grunt同样拥有强大的插件系统，你所需要的大多数task都已经作为Grunt插件被开发了出来，并且每天都有更多的插件诞生。</p>
<p>但这还不够完美。</p>
<p>我们知道，在JavaScript开发当中，我们经常需要引入大量的开源工具。不可避免的会遇到不同版本之间的兼容性问题，例如Bootstrap所依赖的JQuery不是1.10，而是2.03。如果你正在做JS版本升级，那么我想你一定会到各个网站上把他们最新的包下载下来，然后小心翼翼的替换它的版本。但是这些功能在Gradle和其他后端的版本管理工具里已经不再是问题。<a href="http://bower.io/" rel="external nofollow noreferrer">Bower</a>的出现，完美的解决了这一难题。</p>
<p>在javascript的世界里，很多东西都是由社区提供的，所以每一种工具都相当独立。比如，工具都有着自己独立的配置文件，自己的命令行参数，有时候还需要有一些额外的插件把两个工具结合起来。所以下面将会有很多命令，我们需要一一了解。不过好在我们了解之后，下次就可以使用已经配置好的文件，通过几条命令将把有的东西都准备好，很方便。</p>
<h2>第一步：安装nodejs</h2>
<p>在Mac中，我们可以使用brew来安装。在其它系统下，请使用相应的工具或直接到官网下载。</p>
<pre>brew install node</pre>
<p>Nodejs可以让我们在服务器端使用javascript编程，它是很多js工具的基础。请确保它是最新的：</p>
<pre>brew upgrade node</pre>
<p>Npm是node官方提供的包依赖管理工具。我们下面使用的Grunt，Bower等，都是以插件形式下载安装的。当我们安装好nodejs后，&nbsp;npm&nbsp;就自动可用了。查看版本：</p>
<pre>npm -v</pre>
<p>接下来新建一个目录grunt_bower，然后运行npm init，根据提示，最后会产生一个package.json如下：</p>
<pre>{
  "name": "grunt_bower",
  "version": "1.0.0",
  "description": "This is for grunt and bower",
  "main": "index.js",  "repository": {
    "type": "git",
    "url": "https://github.com/yeahyangliu/grunt_bower.git"
  }
}</pre>

<h2>第二步：安装Grunt</h2>
<p>你需要先将Grunt命令行（CLI）安装到全局环境中。安装时可能需要使用sudo:</p>
<pre>npm install -g grunt-cli</pre>
<p>上述命令执行完后，<code>grunt</code>&nbsp;命令就被加入到你的系统路径中了，以后就可以在任何目录下执行此命令了。</p>
<p>注意，安装<code>grunt-cli</code>并不等于安装了 Grunt！Grunt CLI的任务很简单：调用与<code>Gruntfile</code>在同一目录中 Grunt。这样带来的好处是，允许你在同一个系统上同时安装多个版本的 Grunt。</p>
<p>在Grunt项目里一般需要在你的项目中添加两份文件：<code>package.json</code>&nbsp;和&nbsp;<code>Gruntfile</code>。其中package.json中里面已经包含了一些Grunt常用的插件，比如&nbsp;grunt-contrib-jshint&nbsp;等，我们可根据需要删减一些用不上的。那么现在我们的文件应该长成这样：</p>
<pre>{
  "name": "grunt_bower",
  "version": "1.0.0",
  "description": "This is for grunt and bower",
  "main": "index.js",
  "engines": {
    "node": "&gt;= 0.10.0"
  },

  "devDependencies": {
    "grunt": "~0.4.5",
    "grunt-contrib-jshint": "~0.10.0",
    "grunt-contrib-watch": "~0.6.1",
    "grunt-contrib-qunit": "~0.5.2",
    "grunt-contrib-concat": "~0.4.0",
    "grunt-contrib-uglify": "~0.5.0"
  }

  "repository": {
    "type": "git",
    "url": "https://github.com/yeahyangliu/grunt_bower.git"
  },
  "author": "Yang Liu"
}</pre>
<p>下面，我们需要一个gruntfile，gruntfile中定义了插件的功能，并且可以自定义一些任务来管理我们Javascript代码。通过执行下面命令生成一个gruntfile：</p>
<pre>npm install grunt-init -g
git clone https://github.com/gruntjs/grunt-init-gruntfile.git ~/.grunt-init/gruntfile
grunt-init gruntfile</pre>
<p>接下来只需要把所有package.json中的插件通过npm装在本目录，我们就可以使用Grunt来帮我们运行，管理我们的Javascript代码了。</p>
<h2>第三步：安装Bower</h2>
<p>Bower跟npm在某种意义上相似，它是用来管理常用的js库的依赖的，比如jquery, underscore, angularjs等。同样我们可以通过npm安装它：</p>
<pre>npm install bower -g</pre>
<p>同样，Bower也有自己的配置文件bower.json</p>
<pre>{
  name: ‘grunt_bower‘,
  version: ‘0.0.0‘,
  authors: [
    ‘YANG Liu &lt;[email&#160;protected]&gt;‘
  ],
  license: ‘MIT‘,
  ignore: [
    ‘**/.*‘,
    ‘node_modules‘,
    ‘bower_components‘,
    ‘test‘,
    ‘tests‘
  ]
}</pre>
<p>接下来就是我们见证奇迹的时刻：</p>
<pre>bower install angularjs --savebower insall jquery --save</pre>
<p>我们就可以看到angular和JQuery已经被下载到本地。同时bower.json中多了两个依赖：</p>
<pre>"dependencies": {
    "angularjs": "~1.2.20",  "jquery": "~2.1.1"
}        </pre>
<p>而且，我们的目录里，两个版本的js文件也被下载到了本地。如果你觉得现在已经大功告成了，那么你就错了，bower只负责把依赖下载到本地的&nbsp;bower_components&nbsp;目录，并不负责把它们拷贝到我们项目中实际使用的地方，比如&nbsp;public/js/lib&nbsp;目录下。</p>
<p>为了实现这样的功能，我们还需要另一个插件的帮助：</p>
<pre>npm install grunt-bower-task --save-dev</pre>
<p>然后打开其<a href="https://www.npmjs.org/package/grunt-bower-task%20" rel="external nofollow noreferrer">文档</a>，按照上面的提示进行配置。首先在&nbsp;Gruntfile&nbsp;中合适位置添加：</p>
<pre>grunt.loadNpmTasks(‘grunt-bower-task‘);</pre>
<p>然后在&nbsp;grunt.initConfig({...})&nbsp;参数中，添加相应的配置项，把bower下载的js库拷贝到&nbsp;public/js/lib&nbsp;下：</p>
<pre>{
  "bower": {
   "install": {
        "options": {
                "targetDir": "./public/js/lib",
                "layout": "byComponent",
                "install": true,
                "verbose": false,
                "cleanTargetDir": false
              }
          }
      }
}
</pre>
<p>最后我们只需要运行一行简单的命令，就可以讲grunt和bower完美结合起来：</p>
<pre>grunt bower</pre>

<h2>最后</h2>
<p>有了这样两大利器，我们已经达到了从管理依赖，编译部署，压缩打包，运行测试的所有功能，并且非常清晰的配置，让项目上的人都拥有同一份配置，这种方式，大大的简化了团体的管理效率和维护成本，非常值得推崇！</p>
<p>再次感谢大家读到这里。</p>
<p>本文github地址:https://github.com/yeahyangliu/grunt_bower.git</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 06:30:03 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Grunt + Bower—前端构建利器的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBzxpYM.html" rel="bookmark">Grunt &plus; Bower&mdash;前端构建利器&lpar;转&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目前比较流行的WEB开发的趋势是前后端分离.前端采用重量级的Javascript框架,比如Angular,Ember等,后端采用restful API的Web Service服务,通过JSON格式进行数据交互. 对于后端服务语言来说,不论是Ruby的rack,Java中的Maven或Gradle,或是Scala中的SBT,他们都能够提供编译运行.运行测试.打包部署.依赖管理等功能.再加上强大的插件系统,让它可以插拔式的使用很多强大的功能,像数据迁移工具(liquibase),测试覆盖率插件以及一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41ezpY4.html" rel="bookmark">Gulp：新一代前端构建利器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.什么是Gulp gulp.js 是一种基于流的,代码优于配置的新一代构建工具. Gulp 和 Grunt 类似.但相比于 Grunt 的频繁的 IO 操作,Gulp 的流操作,能更快地完成构建. 2.Gulp特性 使用方便 通过代码优于配置的策略,Gulp可以让简单的任务简单,复杂的任务更可管理. 构建快速 通过流式操作,减少频繁的 IO 操作,更快地构建项目. 插件高质 Gulp 有严格的插件指导策略,确保插件能简单高质的工作. 易于学习 少量的API,掌握Gulp可以毫不费力.构建就像流			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bzYnv0.html" rel="bookmark">Gulp：新一代前端构建利器&lpar;轉）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.什么是Gulp gulp.js 是一种基于流的,代码优于配置的新一代构建工具. Gulp 和 Grunt 类似.但相比于 Grunt 的频繁的 IO 操作,Gulp 的流操作,能更快地完成构建. 2.Gulp特性 使用方便 通过代码优于配置的策略,Gulp可以让简单的任务简单,复杂的任务更可管理. 构建快速 通过流式操作,减少频繁的 IO 操作,更快地构建项目. 插件高质 Gulp 有严格的插件指导策略,确保插件能简单高质的工作. 易于学习 少量的API,掌握Gulp可以毫不费力.构建就像流			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/9ME77R3.html" rel="bookmark">Grunt Bower构建前端</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Grunt + Bower-前端构建利器 目前比较流行的WEB开发的趋势是前后端分离.前端采用重量级的Javascript框架,比如Angular,Ember等,后端采用restful API的Web Service服务,通过JSON格式进行数据交互. 对于后端服务语言来说,不论是Ruby的rake,Java中的Maven或Gradle,或是Scala中的SBT,他们都能够提供编译运行.运行测试.打包部署.依赖管理等功能.再加上强大的package系统,让它可以插拔式的使用很多强大的功能,像数据			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0aoOnA4.html" rel="bookmark">前端构建</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				后端有构建工具,比如Java的ant.maven,前端也有构建工具,比如现在非常流行的grunt. 前端构建,是在项目部署上线前,将js css html 图片合并压缩的过程,使用模块化开发时,又多了个规范化过程. Seajs是非常好用,好用的代价是SPM构建打包起来很麻烦,文档不全,没好的实例. demo地址 https://github.com/sprying/ys7 一.项目需求 我们要做成什么? 充分利用缓存,并减少请求数. 方案一:提炼出相同功能的组件,并存独立文件(dialog.js			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wPnE14.html" rel="bookmark">前端开发环境搭建 Grunt Bower、Requirejs 、 Angular</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				现在web开发的趋势是前后端分离.前端采用某些js框架,后端采用某些语言提供restful API,两者以json格式进行数据交互. 如果后端采用node.js,则前后端可以使用同一种语言,共享某些可重用的Js代码,并共享构建工具.但很多时候我们可能采用别的语言,如ruby/java/scala等,此时前后端代码基本上是完全独立的.虽然大家都在同一个项目中,但可以分成互相独立的两块,并且前后端通常使用不同的构建工具. 比如当后端使用Scala时,我们会使用sbt进行项目构建,对scala代码进行			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWe9Xa3.html" rel="bookmark">前端开发环境搭建 grunt bower、requirejs 、 anjular</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				现在web开发的趋势是前后端分离.前端采用某些js框架,后端采用某些语言提供restful API,两者以json格式进行数据交互. 如果后端采用node.js,则前后端可以使用同一种语言,共享某些可重用的Js代码,并共享构建工具.但很多时候我们可能采用别的语言,如ruby/java/scala等,此时前后端代码基本上是完全独立的.虽然大家都在同一个项目中,但可以分成互相独立的两块,并且前后端通常使用不同的构建工具. 比如当后端使用Scala时,我们会使用sbt进行项目构建,对scala代码进行			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBXaRK3.html" rel="bookmark">grunt前端构建工具使用教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				grunt能干些什么? grunt其实是哆啦a梦的百宝袋,是工具集,拥有非常丰富的任务插件,可以实现各式各样的构建目标. 按任务目标大致可分为四类: 文件操作型:比如合并.压缩js和css文件等(包括) 预编译型:比如编译less.sass.coffeescript等 类库项目构建型:比如 angular.ember.backbone等(这种推荐使用yeoman) 工程质量保障型:比如jshint.jasmine.mocha等 除此之外还有像 watch (监听文件改变,自动触发构建)等功能.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3Onzy80.html" rel="bookmark">简介Gulp&comma; Grunt&comma; Bower&comma; 和 Npm 对Visual Studio的支持</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[原文发表地址]Introducing Gulp, Grunt, Bower, and npm support for Visual Studio Web 开发,特别是前端 Web 开发,正迅速变得像传统的后端开发一样复杂和精密.大多数项目不仅仅是通过 FTP上传一些 JS 和 CSS 文件.而现在的前端生成过程,可以囊括SASS 和LESS扩展.CSS/JS的压缩包.JSHint 或 JSLint的运行时 .或者更多.这些生成任务和进程都和像Gulp和Grunt这样的工具一起协调工作.此外,类			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/N4p6WR0.html" rel="bookmark" class="title">【学习笔记】dsu on tree</a>
					<div>
						我也不知道为啥这要起这名,完完全全没看到并查集的影子啊-- 实际上原理就是一个树上的启发式合并. 特点是可以在$O(nlogn)$的时间复杂度内完成对无修改的子树的统计,复杂度优于莫队算法. 局限性也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/k0n6yx0.html" rel="bookmark" class="title">linux  ctrl&plus;c，ctrl&plus;z，ctrl&plus;d</a>
					<div>
						转自:http://blog.csdn.net/u012787436/article/details/39722583 ctrl+c(中断).ctrl+z(挂起)和ctrl+d(EOF)的区别 ctr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eqYL50.html" rel="bookmark" class="title">向SD卡写入树莓派的操作系统</a>
					<div>
						用到的工具: Win32 Disk Imager: sd卡读卡器  Raspbian操作系统镜像:下载地址 步骤1:下载操作系统的镜像 树莓派基金会的网站罗列了一些树莓派可以使用的操作系统,其中Ras ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBAklY4.html" rel="bookmark" class="title">sqlserver查看所有的外键约束</a>
					<div>
						1 select 2 a.name as 约束名, 3 object_name(b.parent_object_id) as 外键表, 4 d.name as 外键列, 5 object_name(b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPDA6aM.html" rel="bookmark" class="title">mdv to binary</a>
					<div>
						将mdv数据转换为binary数据,以结构体的形式存放在文件中 /*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=* xiu 2015. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWL8vl0.html" rel="bookmark" class="title">PAT 乙级 1060 爱丁顿数&lpar;25&rpar; C&plus;&plus;版</a>
					<div>
						1060. 爱丁顿数(25) 时间限制 250 ms 内存限制 65536 kB 代码长度限制 8000 B 判题程序 Standard 作者 CHEN, Yue 英国天文学家爱丁顿很喜欢骑车.据说他 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmA5xnM.html" rel="bookmark" class="title">【转载】线性代数基础知识</a>
					<div>
						原文地址:http://blog.csdn.net/longxinchen_ml/article/details/51629328 作者:Zico Kolter (补充: Chuong Do) 时间: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eyBOa0.html" rel="bookmark" class="title">红黑树（Red Black Tree）</a>
					<div>
						介绍另一种平衡二叉树:红黑树(Red Black Tree),红黑树由Rudolf Bayer于1972年发明,当时被称为平衡二叉B树(symmetric binary B-trees),1978年被 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyWPle3.html" rel="bookmark" class="title">CentOS6服务管理之DNS-源码安装Bind-9&period;10</a>
					<div>
						源码安装bind 1.准备源码包: bind官网:http://www.isc.org/downloads/bind/ [[email protected] ~]#ll -rw-r--r--   1  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xvPj74.html" rel="bookmark" class="title">DeDe缩略图路径的修改</a>
					<div>
						今天在使用dedecms的时候,遇到的一点小问题,移站的时候缩略图不显示.然后就去百度搜了一下,出来的都是千篇一律. 因为一个网站里面缩略图太多,手动比较慢而已费时间,  俗话说的好“时间就是生命”  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xZKLB4.html" rel="bookmark" class="title">Linux基础&colon; 网络命令和进程管理</a>
					<div>
						? netstat lsof ps pstree pkill/kill (了解jenkins git,排查环境) 查询服务器之间是否有链接(netstat -an) 某个服务是否启动(了解服务对应的启 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6lB9y3.html" rel="bookmark" class="title">autofs文件自动挂载系统</a>
					<div>
						为了自己使用方便,利用iso文件制作了自己的rhel6.4的yum源,每次都手动进行mount,十分不便 后来在/etc/rc.local中写入了mount命令,方便多了. 时间一久,发现新的问题出现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Y1amq0.html" rel="bookmark" class="title">【BZOJ1700】&lbrack;Usaco2007 Jan&rsqb;Problem Solving 解题 动态规划</a>
					<div>
						[BZOJ1700][Usaco2007 Jan]Problem Solving 解题 Description 过去的日子里,农夫John的牛没有任何题目. 可是现在他们有题目,有很多的题目. 精确地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPJKYB3.html" rel="bookmark" class="title">设定自动获得DNS服务器地址</a>
					<div>
						情况说明:操作系统是Win7 64位, 网络是有线 1 2 3 4 5					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wpp5Q4.html" rel="bookmark" class="title">0917-GitHub初涉</a>
					<div>
						在git - bash 上进行如下操作: 安装完成后,还需要最后一步设置,在命令行输入: $ git config --global user.name &quot;Your Name&quot; $ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPeO8B0.html" rel="bookmark" class="title">《oracle管理5》</a>
					<div>
						用户管理 AAA: Authentication: 身份验证 Authorization: 权限管理 Audition: 审计 authentication 预定义的系统用户: SQL&gt; sel ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGeYZy3.html" rel="bookmark" class="title">&period;net Remoting（2）&mdash;&mdash;信道，MarshalByRefObject类</a>
					<div>
						remoting提供一种允许对象通过应用程序域去与另一对象进行交互的框架.如果要通过应用程序域进行通信,在remoting中要通过信道(channel)来实现. 信道 信道是跨越远程处理边界(应用程序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZGbBG4.html" rel="bookmark" class="title">ubuntu14 lamp环境下安装swoole1&period;8&period;6</a>
					<div>
						wget  https://github.com/swoole/swoole-src/archive/1.8.6-stable.tar.gz tar -xvf   1.8.6-stable.tar.g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Qg6Re0.html" rel="bookmark" class="title">uva 10004 Bicoloring&lpar;二染色&rpar;</a>
					<div>
						这道题我始终还是看了题解,不过有进步的是我看了他的想法自己实现的,恩恩,就是要这样 ,一定得先有个正确的 想法,这样才能做对题,敲代码之前想法就错了那么一定做不对题目的,我之前想的是只要存在环就不会实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWQg7a3.html" rel="bookmark" class="title">Full卷积  Same卷积 Vaild卷积</a>
					<div>
											</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
